## org.codehaus.groovy.tools.groovydoc
Class GroovyDocWriter

Field Summary
`String` | `FS`
`OutputTool` | `output`
`GroovyDocTemplateEngine` | `templateEngine`
`GroovyDocTool` | `tool`

Constructor Summary
`GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine)`

Method Summary
`void` | `writeClassToOutput(GroovyClassDoc classDoc, String destdir)`
`void` | `writeClasses(GroovyRootDoc rootDoc, String destdir)`
`void` | `writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)`
`void` | `writePackages(GroovyRootDoc rootDoc, String destdir)`
`void` | `writeRoot(GroovyRootDoc rootDoc, String destdir)`
`void` | `writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)`

Constructor Detail

### GroovyDocWriter

    public GroovyDocWriter(GroovyDocTool tool, OutputTool output, GroovyDocTemplateEngine templateEngine)

Method Detail

### writeClassToOutput

    public void writeClassToOutput(GroovyClassDoc classDoc, String destdir)

### writeClasses

    public void writeClasses(GroovyRootDoc rootDoc, String destdir)

### writePackageToOutput

    public void writePackageToOutput(GroovyPackageDoc packageDoc, String destdir)

### writePackages

    public void writePackages(GroovyRootDoc rootDoc, String destdir)

### writeRoot

    public void writeRoot(GroovyRootDoc rootDoc, String destdir)

### writeRootDocToOutput

    public void writeRootDocToOutput(GroovyRootDoc rootDoc, String destdir)